<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package poster
 * @since 1.0.0
 */

if (function_exists('register_block_style')) {
    /**
     * Register block styles.
     *
     * @since 0.1
     *
     * @return void
     */
    function poster_register_block_styles()
    {
        register_block_style(
            'core/columns',
            array(
                'name'  => 'poster-boxshadow',
                'label' => __('Box Shadow', 'poster')
            )
        );

        register_block_style(
            'core/column',
            array(
                'name'  => 'poster-boxshadow',
                'label' => __('Box Shadow', 'poster')
            )
        );
        register_block_style(
            'core/column',
            array(
                'name'  => 'poster-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'poster')
            )
        );
        register_block_style(
            'core/column',
            array(
                'name'  => 'poster-boxshadow-large',
                'label' => __('Box Shadow Large', 'poster')
            )
        );

        register_block_style(
            'core/group',
            array(
                'name'  => 'poster-boxshadow',
                'label' => __('Box Shadow', 'poster')
            )
        );
        register_block_style(
            'core/group',
            array(
                'name'  => 'poster-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'poster')
            )
        );
        register_block_style(
            'core/group',
            array(
                'name'  => 'poster-boxshadow-large',
                'label' => __('Box Shadow Larger', 'poster')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'poster-boxshadow',
                'label' => __('Box Shadow', 'poster')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'poster-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'poster')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'poster-boxshadow-larger',
                'label' => __('Box Shadow Large', 'poster')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'poster-image-pulse',
                'label' => __('Iamge Pulse Effect', 'poster')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'poster-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'poster')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'poster-image-hover-pulse',
                'label' => __('Hover Pulse Effect', 'poster')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'poster-image-hover-rotate',
                'label' => __('Hover Rotate Effect', 'poster')
            )
        );
        register_block_style(
            'core/columns',
            array(
                'name'  => 'poster-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'poster')
            )
        );

        register_block_style(
            'core/column',
            array(
                'name'  => 'poster-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'poster')
            )
        );

        register_block_style(
            'core/group',
            array(
                'name'  => 'poster-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'poster')
            )
        );

        register_block_style(
            'core/post-terms',
            array(
                'name'  => 'categories-background-with-round',
                'label' => __('Background Color', 'poster')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-primary-color',
                'label' => __('Hover: Primary Color', 'poster')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-secondary-color',
                'label' => __('Hover: Secondary Color', 'poster')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-primary-bgcolor',
                'label' => __('Hover: Primary color fill', 'poster')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-secondary-bgcolor',
                'label' => __('Hover: Secondary color fill', 'poster')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-white-bgcolor',
                'label' => __('Hover: White color fill', 'poster')
            )
        );

        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-primary-color',
                'label' => __('Hover: Primary Color', 'poster')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-secondary-color',
                'label' => __('Hover: Secondary Color', 'poster')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-primary-fill',
                'label' => __('Hover: Primary Fill', 'poster')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-secondary-fill',
                'label' => __('Hover: secondary Fill', 'poster')
            )
        );

        register_block_style(
            'core/list',
            array(
                'name'  => 'list-style-no-bullet',
                'label' => __('Hide bullet', 'poster')
            )
        );
        register_block_style(
            'core/gallery',
            array(
                'name'  => 'enable-grayscale-mode-on-image',
                'label' => __('Enable Grayscale Mode on Image', 'poster')
            )
        );
        register_block_style(
            'core/social-links',
            array(
                'name'  => 'social-icon-size-small',
                'label' => __('Small Size', 'poster')
            )
        );
        register_block_style(
            'core/social-links',
            array(
                'name'  => 'social-icon-size-large',
                'label' => __('Large Size', 'poster')
            )
        );
        register_block_style(
            'core/page-list',
            array(
                'name'  => 'poster-page-list-bullet-hide-style',
                'label' => __('Hide Bullet Style', 'poster')
            )
        );
        register_block_style(
            'core/page-list',
            array(
                'name'  => 'poster-page-list-bullet-hide-style-white-color',
                'label' => __('Hide Bullet Style with White Text Color', 'poster')
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name'  => 'poster-categories-bullet-hide-style',
                'label' => __('Hide Bullet Style', 'poster')
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name'  => 'poster-categories-bullet-hide-style-white-color',
                'label' => __('Hide Bullet Style with Text color White', 'poster')
            )
        );
    }
    add_action('init', 'poster_register_block_styles');
}
